﻿using Microsoft.CSS.Editor;
using Microsoft.VisualStudio.Utilities;
using System.ComponentModel.Composition;
using System.IO;
using System.Reflection;

namespace Yourname.CustomCssSchema
{
    [Export(typeof(ICssSchemaFileProvider))]
    [Name("KhtmlSchemaProvider")]
    [Order(After = "Default")] 
    internal class KhtmlSchemaProvider : ICssSchemaFileProvider
    {
        public string File
        {
            get
            {
                string assembly = Assembly.GetExecutingAssembly().Location;
                string folder = Path.GetDirectoryName(assembly);
                return Path.Combine(folder, "Schemas\\css-vendor-khtml.xml");
            }
        }
    }
}
